Page MenuHomePhabricator

Support subtitles for audio files
Closed, ResolvedPublic

Description

http://www.html5rocks.com/en/tutorials/track/basics/
http://www.iandevlin.com/blog/2015/12/html5/webvtt-and-audio

It seems that captions/subtitles for HTML5 audio is actually notoriously badly implemented in most browsers right now.. Truly a shame that we will once again have to fallback to non-native behaviors if we will want to support this. :(

Event Timeline

TheDJ created this task.Dec 14 2015, 12:27 PM
TheDJ raised the priority of this task from to Low.
TheDJ updated the task description. (Show Details)
TheDJ added a subscriber: TheDJ.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 14 2015, 12:27 PM

This is one of the reasons why i'm considering just always using the <video> element instead, as discussed in P2461#10676

TheDJ added a comment.Oct 22 2016, 9:39 PM

Wrote something that will support this. Still need to turn it into a plugin:
http://plnkr.co/edit/31ivECeI1jAuhay4XrS4?p=preview

Change 511106 had a related patch set uploaded (by TheDJ; owner: TheDJ):
[mediawiki/extensions/TimedMediaHandler@master] TimedText: Add a audio captioning plugin for video.js

https://gerrit.wikimedia.org/r/511106

TheDJ added a comment.Jun 3 2019, 10:22 AM

Note to self, there is a WebVTT acid test on http://captionatorjs.com/git/video/acid.vtt
We'll probably want to incorporate that into our testing.

Change 511106 merged by jenkins-bot:
[mediawiki/extensions/TimedMediaHandler@master] TimedText: Add a audio captioning plugin for video.js

https://gerrit.wikimedia.org/r/511106

TheDJ closed this task as Resolved.Thu, Jul 11, 8:37 PM
TheDJ claimed this task.
TheDJ moved this task from Backlog to Done on the TimedMediaHandler board.
TheDJ removed a project: Patch-For-Review.

While perhaps not perfect, this should get us by for now. Further issues can be filed separately.